Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1365792 - scorep-openmpi-libs dependencies broke on rhel 7.2 openmpi update
Summary: scorep-openmpi-libs dependencies broke on rhel 7.2 openmpi update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openmpi
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Schmidt
QA Contact: Afom T. Michael
URL:
Whiteboard:
Depends On:
Blocks: 1353018
TreeView+ depends on / blocked
 
Reported: 2016-08-10 08:43 UTC by Tuomo Soini
Modified: 2017-08-01 16:55 UTC (History)
7 users (show)

Fixed In Version: openmpi-1.10.6-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 16:55:15 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2011 0 normal SHIPPED_LIVE RDMA stack bug fix and enhancement update 2017-08-01 17:59:05 UTC

Description Tuomo Soini 2016-08-10 08:43:08 UTC
package: scorep-openmpi-libs-1.4.2-1.el7.x86_64
unresolved deps: 
     liboshmem.so.8()(64bit)

openmpi-1.10.0-10.el7 does provide file /usr/lib64/openmpi/lib/liboshmem.so.8 but it doesn't have library provides for it. So filtering this requirement out and requiring package openmpi instead might be the fix.

Comment 1 Dave Love 2016-08-10 10:40:39 UTC
This is a bug in the openmpi package and I think it should be re-assigned.
The suppressed provides will affect more than scorep and oshmem users.
The RHEL6 version of openmpi-1.10 doesn't have that problem.

Comment 2 Tuomo Soini 2016-08-10 10:58:49 UTC
On rhel7 package those libraries are especially filtered out from provides as private libraries.

Comment 3 Dave Love 2016-08-10 11:57:38 UTC
(In reply to Tuomo Soini from comment #2)
> On rhel7 package those libraries are especially filtered out from provides
> as private libraries.

As you found, it's not a private library, any more than libmpi is.  The private
bits live in lib/openmpi.  There are other issues with the packaging -- at least
compiler wrappers should be in -devel, but that probably doesn't break anything.

I just thought I should leave it to orion to re-assig as I'm only a co-maintainer.

Comment 4 Orion Poplawski 2016-08-10 15:23:31 UTC
Yeah, looks like the EL7 openmpi spec still has the old openmpi provides filter that excludes liboshmem.  Needs updating.

Comment 6 Dave Love 2016-10-31 10:48:09 UTC
RHEL7 beta doesn't fix this.

Comment 7 Fedora Update System 2016-10-31 15:10:42 UTC
scorep-1.4.2-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0c8997682c

Comment 8 Fedora Update System 2016-11-01 17:48:45 UTC
scorep-1.4.2-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0c8997682c

Comment 10 Fedora Update System 2016-11-19 12:48:41 UTC
scorep-1.4.2-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Michal Schmidt 2017-03-24 15:20:40 UTC
Thanks for the report. I'll copy the RPM deps filter regexps from Fedora.

Comment 14 Afom T. Michael 2017-05-30 17:17:08 UTC
Rephrasing the first sentence:
The description of this BZ isn't clear to me but since openmpi-1.10.6-2.el7.x86_64 is in build RHEL-7.4-20170504.0 and it provides "liboshmem.so.8()(64bit)" as shown below, I'm considering this 'Verified'.
> 
> $ cat /etc/redhat-release 
> Red Hat Enterprise Linux Server release 7.4 Beta (Maipo)
> $ uname -a
> Linux rdma-qe-14 3.10.0-663.el7.x86_64 #1 SMP Tue May 2 16:00:29 EDT 2017
> x86_64 x86_64 x86_64 GNU/Linux
> $ rpm -q openmpi openmpi-devel scorep scorep-openmpi-libs
> openmpi-1.10.6-2.el7.x86_64
> openmpi-devel-1.10.6-2.el7.x86_64
> scorep-1.4.2-7.el7.x86_64
> scorep-openmpi-libs-1.4.2-7.el7.x86_64
> $ ls /usr/lib64/openmpi/lib/liboshmem.so* -l
> lrwxrwxrwx. 1 root root     18 May 26 02:41
> /usr/lib64/openmpi/lib/liboshmem.so -> liboshmem.so.8.1.2
> lrwxrwxrwx. 1 root root     18 May 26 02:37
> /usr/lib64/openmpi/lib/liboshmem.so.8 -> liboshmem.so.8.1.2
> -rwxr-xr-x. 1 root root 327056 Apr 19 08:00
> /usr/lib64/openmpi/lib/liboshmem.so.8.1.2
> $ rpm -qf /usr/lib64/openmpi/lib/liboshmem.so.8.1.2
> /usr/lib64/openmpi/lib/liboshmem.so.8 /usr/lib64/openmpi/lib/liboshmem.so
> openmpi-1.10.6-2.el7.x86_64
> openmpi-1.10.6-2.el7.x86_64
> openmpi-devel-1.10.6-2.el7.x86_64
> $ 
> $ rpm -q --provides openmpi
> config(openmpi) = 1.10.6-2.el7
> libmpi.so.12()(64bit)
> libmpi_cxx.so.1()(64bit)
> libmpi_mpifh.so.12()(64bit)
> libmpi_usempi.so.1()(64bit)
> libmpi_usempi.so.5()(64bit)
> liboshmem.so.8()(64bit)
> libotfaux.so.0()(64bit)
> libvt-hyb.so.0()(64bit)
> libvt-mpi-unify.so.0()(64bit)
> libvt-mpi.so.0()(64bit)
> libvt-mt.so.0()(64bit)
> libvt.so.0()(64bit)
> mpi
> openmpi = 1.10.6-2.el7
> openmpi(x86-64) = 1.10.6-2.el7
> $ 
> $ rpm -q --changelog openmpi
> * Wed Apr 19 2017 Michal Schmidt <mschmidt> - 1.10.6-2
> - Add Chelsio T6 adapter device parameters.
> - Fix License tag format.
> - Resolves: #1435249
> 
> * Fri Mar 24 2017 Michal Schmidt <mschmidt> - 1.10.6-1
> - Update to upstream release 1.10.6.
> - Fix missing RPM provides.
> - Resolves: #1382800
> - Resolves: #1365792
> 
> [...snip...]
> $ 
> $ rpm -q -R openmpi 
> config(openmpi) = 1.10.6-2.el7
> environment-modules
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.14)(64bit)
> libc.so.6(GLIBC_2.15)(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libc.so.6(GLIBC_2.3)(64bit)
> libc.so.6(GLIBC_2.3.2)(64bit)
> libc.so.6(GLIBC_2.3.4)(64bit)
> libc.so.6(GLIBC_2.4)(64bit)
> libc.so.6(GLIBC_2.6)(64bit)
> libc.so.6(GLIBC_2.7)(64bit)
> libc.so.6(GLIBC_2.8)(64bit)
> libdl.so.2()(64bit)
> libdl.so.2(GLIBC_2.2.5)(64bit)
> libfabric.so.1()(64bit)
> libfabric.so.1(FABRIC_1.0)(64bit)
> libgcc_s.so.1()(64bit)
> libgcc_s.so.1(GCC_3.0)(64bit)
> libgfortran.so.3()(64bit)
> libhwloc.so.5()(64bit)
> libibverbs.so.1()(64bit)
> libibverbs.so.1(IBVERBS_1.0)(64bit)
> libibverbs.so.1(IBVERBS_1.1)(64bit)
> libm.so.6()(64bit)
> libm.so.6(GLIBC_2.2.5)(64bit)
> libmpi.so.12()(64bit)
> libmpi_mpifh.so.12()(64bit)
> liboshmem.so.8()(64bit)
> libosmcomp.so.3()(64bit)
> libotfaux.so.0()(64bit)
> libpsm2.so.2()(64bit)
> libpsm2.so.2(PSM2_1.0)(64bit)
> libpsm_infinipath.so.1()(64bit)
> libpthread.so.0()(64bit)
> libpthread.so.0(GLIBC_2.2.5)(64bit)
> libpthread.so.0(GLIBC_2.3.2)(64bit)
> libquadmath.so.0()(64bit)
> librdmacm.so.1()(64bit)
> librdmacm.so.1(RDMACM_1.0)(64bit)
> librt.so.1()(64bit)
> librt.so.1(GLIBC_2.2.5)(64bit)
> libstdc++.so.6()(64bit)
> libstdc++.so.6(CXXABI_1.3)(64bit)
> libstdc++.so.6(GLIBCXX_3.4)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
> libutil.so.1()(64bit)
> libutil.so.1(GLIBC_2.2.5)(64bit)
> libz.so.1()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(FileDigests) <= 4.6.0-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)
> rpmlib(PayloadIsXz) <= 5.2-1
> $

Comment 16 errata-xmlrpc 2017-08-01 16:55:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2011


Note You need to log in before you can comment on or make changes to this bug.